package com.ejada.hmg
import android.os.Bundle
import android.util.Log
import androidx.annotation.NonNull;
import com.ejada.hmg.utils.*
import io.flutter.embedding.android.FlutterFragmentActivity
 import io.flutter.embedding.engine.FlutterEngine
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugins.GeneratedPluginRegistrant

class MainActivity: FlutterFragmentActivity() {
    override fun configureFlutterEngine(@NonNull flutterEngine: FlutterEngine) {
      GeneratedPluginRegistrant.registerWith(flutterEngine);
      // Create Flutter Platform Bridge
      PlatformBridge(flutterEngine.dartExecutor.binaryMessenger, this).create()

        val time = timeToMillis("04:00:00", "HH:mm:ss")
        print(time)

//        val d1 =  Logs.list(this)
//        val d2 =  Logs.raw(this)
//        val d3 = Logs.RegisterGeofence.list(this)
//        val d4 = Logs.RegisterGeofence.raw(this)
//        val d5 = Logs.GeofenceEvent.list(this)
//        val d6 = Logs.GeofenceEvent.raw(this)
        print("")
  }

    override fun onResume() {
        super.onResume()
    }
}